> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tag

> Update a tag



## OpenAPI

````yaml PUT /tags/{tag_id}
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /tags/{tag_id}:
    put:
      tags:
        - Tags
      summary: Update a tag
      description: Update a tag
      operationId: updateTag
      parameters:
        - name: tag_id
          in: path
          required: true
          description: The ID of the tag
          schema:
            type: string
      requestBody:
        description: Tag update parameters. At least one of label or value is required.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateVideoTagRequest'
        required: true
      responses:
        '200':
          description: Tag updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoTag'
components:
  schemas:
    UpdateVideoTagRequest:
      type: object
      properties:
        label:
          type: string
          description: The label of the tag
        value:
          type: string
          description: The value of the tag
    VideoTag:
      type: object
      required:
        - id
        - label
        - value
        - type
        - file_id
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the tag
        label:
          type: string
          description: The label of the tag
        value:
          type: string
          description: The value of the tag
        type:
          type: string
          enum:
            - file
            - segment
          description: The type of the tag
        file_id:
          type: string
          format: uuid
          description: The ID of the file
        segment_id:
          type: string
          format: uuid
          description: The ID of the segment
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````